Board Swimlanes
5 Endpunkte. Basis-URL: https://xapi.ambertech.cloud/api/v1
List swimlanes for a board#
GET
/boards/{boardId}/swimlanesTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X GET "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes" \
-H "Authorization: Bearer $XISUITE_TOKEN"Create a swimlane#
POST
/boards/{boardId}/swimlanesTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
namePflicht | string | |
query | object | |
description | object | |
sort_order | number | |
is_default | boolean |
Antworten
- 201Erstellt
Beispiel (cURL)
curl -X POST "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"High Priority"}'Update a swimlane#
PATCH
/boards/{boardId}/swimlanes/{swimlaneId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
swimlaneIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
name | string | |
query | object | – |
description | object | – |
sort_order | number | |
is_default | boolean | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X PATCH "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes/{swimlaneId}" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"High Priority","query":{},"description":{}}'Delete a swimlane (non-default only)#
DELETE
/boards/{boardId}/swimlanes/{swimlaneId}TokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
swimlaneIdPflicht | Pfad | string | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X DELETE "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes/{swimlaneId}" \
-H "Authorization: Bearer $XISUITE_TOKEN"Reorder swimlanes#
PUT
/boards/{boardId}/swimlanes/reorderTokenParameter
| Name | Ort | Typ | Beschreibung |
|---|---|---|---|
boardIdPflicht | Pfad | string | – |
Request-Body
| Name | Typ | Beschreibung |
|---|---|---|
swimlanesPflicht | SwimlaneOrderItemDto[] | – |
swimlanes[].idPflicht | string | – |
swimlanes[].sort_orderPflicht | number | – |
Antworten
- 200OK
Beispiel (cURL)
curl -X PUT "https://xapi.ambertech.cloud/api/v1/boards/{boardId}/swimlanes/reorder" \
-H "Authorization: Bearer $XISUITE_TOKEN" \
-H "Content-Type: application/json" \
-d '{"swimlanes":[]}'